@import "../../../styles/variables.scss";
@import "../../../styles/mixins.scss";
@import "../../../styles/theme.scss";

svg {
    height: 33px;
    fill: $color-primary-default;
}

.user {
    @include flex(row, space-between, center);
    &-logged {
        margin: 0 10px 0 40px;
        @include flex(column, initial, flex-end);
        &__name {
            &--title {
                margin-left: 5px;
                font-weight: $semi-bold;
            }
        }

        &__info {
            font-size: 12px;
        }
    }

    &-logo {
        width: 55px;
        height: 55px;
        @include flex(row, center, center);
        border-radius: 100%;
        background: $color-primary-default;
        &__initials {
            font-size: 24px;
            padding-right: 3px;
            color: $deep-white;
        }
    }

    &-guest {
        width: 55px;
        height: 55px;
        border-radius: 100%;
        border: 2px solid $color-primary-default;
        @include flex(row, center, center);

        fa-icon {
            margin-top: 3px;
        }
    }
}
